<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>JS assignment 1</title>
    <link rel="stylesheet" href="style.css" />
  </head>
  <body>
    <main>
      <form id="frm">
        <div class="form-email">
          <label for="email"> Email </label>
          <input type="email" id="email" />
          <div id="email-valid-error" class="error hidden">
            **Please Enter valid email**
          </div>
        </div>
        <div class="form-pw">
          <label for="pass"> Password </label>
          <input type="password" id="pass" />
          <div id="pw-valid-error" class="error hidden">
            **Password should be min 6 character with MIX of Uppercase,
            lowercase, digits**
          </div>
        </div>
        <div class="form-sex">
          <label for="sex"> Sex </label>
          <select id="sex">
            <option value="" selected="selected" disabled="true">
              --Please Select --
            </option>
            <option value="male">Male</option>
            <option value="female">Female</option>
            <option value="other">Other</option>
          </select>
          <div id="sex-error" class="error hidden">
            **Please Select a Value**
          </div>
        </div>
        <div class="form-role">
          <span>Role:</span>
          <input type="radio" id="admin" value="admin" name="role" />
          <label for="admin"> Admin </label>
          <input type="radio" id="user" value="user" name="role" />
          <label for="user"> User </label>
          <div id="role-error" class="error hidden">
            **Please Select a Value**
          </div>
        </div>
        <div class="form-perm">
          <span>Permissions:</span>
          <input type="checkbox" id="perm1" value="perm1" />
          <label for="perm1"> Perm1 </label>
          <input type="checkbox" id="perm2" value="perm2" />
          <label for="perm2"> Perm2 </label>
          <input type="checkbox" id="perm3" value="perm3" />
          <label for="perm3"> Perm3 </label>
          <input type="checkbox" id="perm4" value="perm4" />
          <label for="perm4"> Perm4 </label>
          <div id="perm-error" class="error hidden">
            **Please Select atleast 2 Values**
          </div>
        </div>
        <button id="submit">Submit</button>
      </form>
    </main>
    <script src="index.js"></script>
  </body>
</html>
